Package org.codehaus.groovy.classgen.asm

# Class WriterController

java.lang.Object
org.codehaus.groovy.classgen.asm.WriterController

Direct Known Subclasses:
  `DelegatingController`

    public class WriterController
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `boolean` | `optimizeForInt` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WriterController()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AsmClassGenerator` | `getAcg()` |
  `AssertionWriter` | `getAssertionWriter()` |
  `BinaryExpressionHelper` | `getBinaryExpressionHelper()` |
  `int` | `getBytecodeVersion()` |
  `CallSiteWriter` | `getCallSiteWriter()` |
  `java.lang.String` | `getClassName()` |
  `ClassNode` | `getClassNode()` |
  `org.objectweb.asm.ClassVisitor` | `getClassVisitor()` |
  `ClosureWriter` | `getClosureWriter()` |
  `CompileStack` | `getCompileStack()` |
  `ConstructorNode` | `getConstructorNode()` |
  `GeneratorContext` | `getContext()` |
  `org.objectweb.asm.ClassVisitor` | `getCv()` | Deprecated.
  `InterfaceHelperClassNode` | `getInterfaceClassLoadingClass()` |
  `java.lang.String` | `getInternalBaseClassName()` |
  `java.lang.String` | `getInternalClassName()` |
  `InvocationWriter` | `getInvocationWriter()` |
  `LambdaWriter` | `getLambdaWriter()` |
  `int` | `getLineNumber()` |
  `MethodNode` | `getMethodNode()` |
  `MethodPointerExpressionWriter` | `getMethodPointerExpressionWriter()` |
  `MethodReferenceExpressionWriter` | `getMethodReferenceExpressionWriter()` |
  `org.objectweb.asm.MethodVisitor` | `getMethodVisitor()` |
  `int` | `getNextHelperMethodIndex()` |
  `OperandStack` | `getOperandStack()` |
  `ClassNode` | `getOutermostClass()` |
  `ClassNode` | `getReturnType()` |
  `SourceUnit` | `getSourceUnit()` |
  `StatementWriter` | `getStatementWriter()` |
  `java.util.List<java.lang.String>` | `getSuperMethodNames()` |
  `TypeChooser` | `getTypeChooser()` |
  `UnaryExpressionHelper` | `getUnaryExpressionHelper()` |
  `void` | `init​(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)` |
  `boolean` | `isConstructor()` |
  `boolean` | `isFastPath()` |
  `boolean` | `isInGeneratedFunction()` |
  `boolean` | `isInGeneratedFunctionConstructor()` |
  `boolean` | `isInScriptBody()` |
  `boolean` | `isNotClinit()` |
  `boolean` | `isStaticConstructor()` |
  `boolean` | `isStaticContext()` |
  `boolean` | `isStaticMethod()` |
  `void` | `resetLineNumber()` |
  `void` | `setConstructorNode​(ConstructorNode constructorNode)` |
  `void` | `setInterfaceClassLoadingClass​(InterfaceHelperClassNode ihc)` |
  `void` | `setLineNumber​(int lineNumber)` |
  `void` | `setMethodNode​(MethodNode methodNode)` |
  `void` | `setMethodVisitor​(org.objectweb.asm.MethodVisitor methodVisitor)` |
  `boolean` | `shouldOptimizeForInt()` |
  `void` | `switchToFastPath()` |
  `void` | `switchToSlowPath()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### optimizeForInt

    public boolean optimizeForInt

- ## Constructor Details

  - ### WriterController

    public WriterController()

- ## Method Details

  - ### init

    public void init​(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)

  - ### getAcg

    public AsmClassGenerator getAcg()

  - ### getCv

    @Deprecated public org.objectweb.asm.ClassVisitor getCv()
    Deprecated.

  - ### getClassVisitor

    public org.objectweb.asm.ClassVisitor getClassVisitor()

  - ### getMethodVisitor

    public org.objectweb.asm.MethodVisitor getMethodVisitor()

  - ### setMethodVisitor

    public void setMethodVisitor​(org.objectweb.asm.MethodVisitor methodVisitor)

  - ### getContext

    public GeneratorContext getContext()

  - ### getCompileStack

    public CompileStack getCompileStack()

  - ### getOperandStack

    public OperandStack getOperandStack()

  - ### getSourceUnit

    public SourceUnit getSourceUnit()

  - ### getTypeChooser

    public TypeChooser getTypeChooser()

  - ### getUnaryExpressionHelper

    public UnaryExpressionHelper getUnaryExpressionHelper()

  - ### getBinaryExpressionHelper

    public BinaryExpressionHelper getBinaryExpressionHelper()

  - ### getAssertionWriter

    public AssertionWriter getAssertionWriter()

  - ### getCallSiteWriter

    public CallSiteWriter getCallSiteWriter()

  - ### getClosureWriter

    public ClosureWriter getClosureWriter()

  - ### getLambdaWriter

    public LambdaWriter getLambdaWriter()

  - ### getStatementWriter

    public StatementWriter getStatementWriter()

  - ### getInvocationWriter

    public InvocationWriter getInvocationWriter()

  - ### getMethodPointerExpressionWriter

    public MethodPointerExpressionWriter getMethodPointerExpressionWriter()

  - ### getMethodReferenceExpressionWriter

    public MethodReferenceExpressionWriter getMethodReferenceExpressionWriter()

  - ### getClassName

    public java.lang.String getClassName()

  - ### getClassNode

    public ClassNode getClassNode()

  - ### getMethodNode

    public MethodNode getMethodNode()

  - ### setMethodNode

    public void setMethodNode​(MethodNode methodNode)

  - ### getConstructorNode

    public ConstructorNode getConstructorNode()

  - ### setConstructorNode

    public void setConstructorNode​(ConstructorNode constructorNode)

  - ### getReturnType

    public ClassNode getReturnType()

  - ### getOutermostClass

    public ClassNode getOutermostClass()

  - ### getInternalClassName

    public java.lang.String getInternalClassName()

  - ### getInternalBaseClassName

    public java.lang.String getInternalBaseClassName()

  - ### getSuperMethodNames

    public java.util.List<java.lang.String> getSuperMethodNames()

  - ### getInterfaceClassLoadingClass

    public InterfaceHelperClassNode getInterfaceClassLoadingClass()

  - ### setInterfaceClassLoadingClass

    public void setInterfaceClassLoadingClass​(InterfaceHelperClassNode ihc)

  - ### isStaticContext

    public boolean isStaticContext()

  - ### isStaticMethod

    public boolean isStaticMethod()

  - ### isNotClinit

    public boolean isNotClinit()

  - ### isStaticConstructor

    public boolean isStaticConstructor()

  - ### isConstructor

    public boolean isConstructor()

  - ### isInGeneratedFunction

    public boolean isInGeneratedFunction()

  - ### isInGeneratedFunctionConstructor

    public boolean isInGeneratedFunctionConstructor()

  - ### isInScriptBody

    public boolean isInScriptBody()
    Returns:
      true if we are in a script body, where all variables declared are no longer local variables but are properties

  - ### shouldOptimizeForInt

    public boolean shouldOptimizeForInt()

  - ### switchToFastPath

    public void switchToFastPath()

  - ### switchToSlowPath

    public void switchToSlowPath()

  - ### isFastPath

    public boolean isFastPath()

  - ### getLineNumber

    public int getLineNumber()

  - ### setLineNumber

    public void setLineNumber​(int lineNumber)

  - ### resetLineNumber

    public void resetLineNumber()

  - ### getBytecodeVersion

    public int getBytecodeVersion()

  - ### getNextHelperMethodIndex

    public int getNextHelperMethodIndex()